diff --git a/project/Deserializer/src/Window.java b/project/Deserializer/src/Window.java
index 92626c4..2e87a08 100644
--- a/project/Deserializer/src/Window.java
+++ b/project/Deserializer/src/Window.java
@@ -38,19 +38,44 @@ import javafx.stage.FileChooser;
 import javafx.stage.Stage;
 
 /**
- * VM arguments for Java 11: --module-path libs\javafx-sdk-11.0.2\lib --add-modules=javafx.controls
+ * <p>
+ * Class for creating a GUI. <br>
+ * <br>
+ * Note, VM arguments for Java 11: <br>
+ * --module-path libs\javafx-sdk-11.0.2\lib --add-modules=javafx.controls
  */
 public class Window extends Application implements IConversionResults {
-	
+
+	/**
+	 * Main window.
+	 */
 	private Stage stage;
+
+	/**
+	 * Graphic node of menu item for full screen.
+	 */
 	private Label fullScreen;
-	
+
+	/**
+	 * Read-only text area with ACE.
+	 */
 	private Editor editor;
+
+	/**
+	 * Layout for output file.
+	 */
 	private VBox outputLayout;
-	
+
+	/**
+	 * Thread for converting input to JSON.
+	 */
 	private Converter converter;
+
+	/**
+	 * Configuration file.
+	 */
 	private Properties properties;
-	
+
 	@Override
 	public void init() throws Exception {
 		super.init();
@@ -58,7 +83,7 @@ public class Window extends Application implements IConversionResults {
 		converter.start();
 		properties = FileWorker.getConfig();
 	}
-	
+
 	@Override
 	public void stop() throws Exception {
 		super.stop();
@@ -67,7 +92,7 @@ public class Window extends Application implements IConversionResults {
 		FileWorker.saveConfig(properties);
 		Platform.exit();
 	}
-	
+
 	@Override
 	public void start(Stage stage) throws Exception {
 		this.stage = stage;
@@ -75,7 +100,7 @@ public class Window extends Application implements IConversionResults {
 		stage.setTitle("Java Object Universal Deserializer");
 		stage.setScene(createScene());
 		stage.show();
-		
+
 		stage.setMinWidth(stage.getWidth());
 		stage.setMinHeight(stage.getHeight());
 
@@ -83,79 +108,97 @@ public class Window extends Application implements IConversionResults {
 			changeFullScreenMenuItem();
 		});
 	}
-	
+
+	/**
+	 * @return main scene with set CSS.
+	 */
 	private Scene createScene() {
 		createMenu();
 		Scene scene = new Scene(createLayout());
 		scene.getStylesheets().add(FileWorker.getResource("/main.css"));
 		return scene;
 	}
-	
+
+	/**
+	 * @return main layout.
+	 */
 	private Parent createLayout() {
 		BorderPane layout = new BorderPane();
-		
+
 		layout.setTop(createMenu());
 		layout.setCenter(createBodyLayout());
-		
+
 		return layout;
 	}
-	
+
+	/**
+	 * @return body layout of the window.
+	 */
 	private Node createBodyLayout() {
+		// Tabs for input file and SQL query.
 		TabPane header = new TabPane();
-        header.setTabClosingPolicy(TabClosingPolicy.UNAVAILABLE);
-        header.getTabs().add(createInputFileTab());
-        header.getTabs().add(createQueryTab());
-        
-        
-        editor = new Editor();
-        
-        String propMode = properties.getProperty(FileWorker.ACE_MODE);
-        String propTheme = properties.getProperty(FileWorker.ACE_THEME);
-        
-        ObservableList<String> aceModes = FXCollections.observableArrayList();
-        ObservableList<String> aceThemes = FXCollections.observableArrayList();
-        FileWorker.getAceModesAndThemes(aceModes, aceThemes);
-        
-        ComboBox<String> modeBox = new ComboBox<String>();
-        modeBox.setItems(aceModes);
-        modeBox.getSelectionModel().select(propMode == null ? Editor.DEFAULT_MODE : propMode);
-        modeBox.getSelectionModel().selectedItemProperty().addListener((observable, oldValue, newValue) -> {
-        	if (modeBox.getValue() != null) {
-        		properties.setProperty(FileWorker.ACE_MODE, modeBox.getValue());
-        		editor.setMode(modeBox.getValue());
-            }
-        });
-        
-        ComboBox<String> themeBox = new ComboBox<String>();
-        themeBox.setItems(aceThemes);
-        themeBox.getSelectionModel().select(propTheme == null ? Editor.DEFAULT_THEME : propTheme);
-        themeBox.getSelectionModel().selectedItemProperty().addListener((observable, oldValue, newValue) -> {
-        	if (themeBox.getValue() != null) {
-        		properties.setProperty(FileWorker.ACE_THEME, themeBox.getValue());
-        		editor.setTheme(themeBox.getValue());
-            }
-        });
-        
-        HBox aceSettings = new HBox();
-        aceSettings.setPadding(new Insets(0, 10, 0, 0));
-        aceSettings.setSpacing(10.0);
-        aceSettings.setAlignment(Pos.CENTER_RIGHT);
-        aceSettings.getChildren().addAll(new Label("Nastavení editoru (režim / téma):"), modeBox, new Label("/"), themeBox);
-        
-        VBox editorLayout = new VBox();
-        editorLayout.setSpacing(5.0);
-        VBox.setVgrow(editor.getView(), Priority.ALWAYS);
-        editorLayout.getChildren().addAll(editor.getView(), aceSettings);
-        
-        
+		header.setTabClosingPolicy(TabClosingPolicy.UNAVAILABLE);
+		header.getTabs().add(createInputFileTab());
+		header.getTabs().add(createQueryTab());
+
+		// ACE editor.
+		editor = new Editor();
+
+		// Last mode and theme of the editor.
+		String propMode = properties.getProperty(FileWorker.ACE_MODE);
+		String propTheme = properties.getProperty(FileWorker.ACE_THEME);
+
+		// Get all ACE modes and themes.
+		ObservableList<String> aceModes = FXCollections.observableArrayList();
+		ObservableList<String> aceThemes = FXCollections.observableArrayList();
+		FileWorker.getAceModesAndThemes(aceModes, aceThemes);
+
+		// Sets modes combo box.
+		ComboBox<String> modeBox = new ComboBox<String>();
+		modeBox.setItems(aceModes);
+		modeBox.getSelectionModel().select(propMode == null ? Editor.DEFAULT_MODE : propMode);
+		modeBox.getSelectionModel().selectedItemProperty().addListener((observable, oldValue, newValue) -> {
+			if (modeBox.getValue() != null) {
+				properties.setProperty(FileWorker.ACE_MODE, modeBox.getValue());
+				editor.setMode(modeBox.getValue());
+			}
+		});
+
+		// Sets themes combo box.
+		ComboBox<String> themeBox = new ComboBox<String>();
+		themeBox.setItems(aceThemes);
+		themeBox.getSelectionModel().select(propTheme == null ? Editor.DEFAULT_THEME : propTheme);
+		themeBox.getSelectionModel().selectedItemProperty().addListener((observable, oldValue, newValue) -> {
+			if (themeBox.getValue() != null) {
+				properties.setProperty(FileWorker.ACE_THEME, themeBox.getValue());
+				editor.setTheme(themeBox.getValue());
+			}
+		});
+
+		// ACE settings layout.
+		HBox aceSettings = new HBox();
+		aceSettings.setPadding(new Insets(0, 10, 0, 0));
+		aceSettings.setSpacing(10.0);
+		aceSettings.setAlignment(Pos.CENTER_RIGHT);
+		aceSettings.getChildren().addAll(new Label("Nastavení editoru (režim / téma):"), modeBox, new Label("/"),
+				themeBox);
+
+		// Layout for editor with settings.
+		VBox editorLayout = new VBox();
+		editorLayout.setSpacing(5.0);
+		VBox.setVgrow(editor.getView(), Priority.ALWAYS);
+		editorLayout.getChildren().addAll(editor.getView(), aceSettings);
+
+		// Output file label and path.
 		Label forOutputFile = new Label("Výstupní soubor:");
 		Label outputFile = new Label("    Ještě nebyl vybrán žádný soubor...");
 		outputFile.setStyle("-fx-font-style: italic;");
-		
+
+		// Button to save the resulting JSON.
 		Button save = new Button("Uložit");
 		save.setOnAction(event -> {
 			File jsonFile = null;
-			
+
 			FileChooser fCh = new FileChooser();
 			fCh.setInitialDirectory(new File("."));
 			fCh.getExtensionFilters().add(new FileChooser.ExtensionFilter("JSON Files", "*.json"));
@@ -165,7 +208,7 @@ public class Window extends Application implements IConversionResults {
 				outputFile.setText(file.getAbsolutePath());
 				outputFile.setStyle("-fx-font-weight: bold;");
 			}
-			
+
 			if (jsonFile != null) {
 				String title = "Uložení JSON";
 				try {
@@ -176,11 +219,12 @@ public class Window extends Application implements IConversionResults {
 				}
 			}
 		});
-		
+
 		HBox bOF = new HBox();
 		bOF.setAlignment(Pos.CENTER_RIGHT);
 		bOF.getChildren().add(save);
-		
+
+		// Output file layout.
 		outputLayout = new VBox();
 		outputLayout.setPadding(new Insets(0, 10, 10, 10));
 		outputLayout.setSpacing(5.0);
@@ -188,31 +232,38 @@ public class Window extends Application implements IConversionResults {
 		outputLayout.getChildren().add(outputFile);
 		outputLayout.getChildren().add(bOF);
 		setOutputLayoutDisabled(true);
-		
-		
+
+		// Main layout in the body.
 		VBox layout = new VBox();
 		layout.setSpacing(10.0);
 		VBox.setVgrow(editorLayout, Priority.ALWAYS);
 		layout.getChildren().addAll(header, new Separator(), editorLayout, new Separator(), outputLayout);
-		
+
 		return layout;
 	}
-	
+
+	/**
+	 * @return a tab for connecting to a database.
+	 */
 	private Tab createQueryTab() {
+		// Get the last inserted texts.
 		String propType = properties.getProperty(FileWorker.DB_TYPE);
 		String propUrl = properties.getProperty(FileWorker.DB_URL);
 		String propUser = properties.getProperty(FileWorker.DB_USER);
-        
-		
-		String promptTexts[] = new String[] { "jdbc:oracle:thin:@server:port:nazevDB", "jdbc:sqlserver://server:port;databaseName=nazevDB;", "jdbc:mysql://server:port/nazevDB" };
+
+		// Help text, database names and driver classes.
+		String promptTexts[] = new String[] { "jdbc:oracle:thin:@server:port:nazevDB",
+				"jdbc:sqlserver://server:port;databaseName=nazevDB;", "jdbc:mysql://server:port/nazevDB" };
 		String dbTypeTexts[] = new String[] { "ORACLE", "MS-SQL", "MySQL" };
-		String dbDriverClasses[] = new String[] { "oracle.jdbc.driver.OracleDriver", "com.microsoft.sqlserver.jdbc.SQLServerDriver", "com.mysql.cj.jdbc.Driver" };
-		
+		String dbDriverClasses[] = new String[] { "oracle.jdbc.driver.OracleDriver",
+				"com.microsoft.sqlserver.jdbc.SQLServerDriver", "com.mysql.cj.jdbc.Driver" };
+
+		// DB type, URL.
 		Label rdbmsLabel = new Label("Typ DB");
 		Label urlLabel = new Label("URL");
 		ComboBox<String> rdbms = new ComboBox<String>(FXCollections.observableArrayList(dbTypeTexts));
 		TextField url = new TextField(propUrl == null ? "" : propUrl);
-		
+
 		if (propType == null) {
 			rdbms.getSelectionModel().selectFirst();
 			url.setPromptText(promptTexts[0]);
@@ -223,13 +274,14 @@ public class Window extends Application implements IConversionResults {
 		rdbms.setOnAction(event -> {
 			url.setPromptText(promptTexts[rdbms.getSelectionModel().getSelectedIndex()]);
 		});
-		
-		
+
+		// User and password.
 		Label userLabel = new Label("Uživatel");
 		Label passwordLabel = new Label("Heslo");
 		TextField user = new TextField(propUser == null ? "" : propUser);
 		PasswordField password = new PasswordField();
-		
+
+		// Layout for each pair - label and input component.
 		VBox rdbmsLayout = new VBox();
 		rdbmsLayout.getChildren().addAll(rdbmsLabel, rdbms);
 		VBox urlLayout = new VBox();
@@ -238,12 +290,13 @@ public class Window extends Application implements IConversionResults {
 		userLayout.getChildren().addAll(userLabel, user);
 		VBox passwordLayout = new VBox();
 		passwordLayout.getChildren().addAll(passwordLabel, password);
-		
+
+		// Styles settings.
 		rdbmsLabel.setStyle("-fx-font-weight: bold;");
 		urlLabel.setStyle("-fx-font-weight: bold;");
 		userLabel.setStyle("-fx-font-weight: bold;");
 		passwordLabel.setStyle("-fx-font-weight: bold;");
-		
+
 		url.setMinWidth(400);
 		user.setMinWidth(100);
 		user.setPrefWidth(200);
@@ -251,35 +304,38 @@ public class Window extends Application implements IConversionResults {
 		password.setMinWidth(100);
 		password.setPrefWidth(200);
 		password.setMaxWidth(300);
-	
-		HBox.setHgrow(urlLayout, Priority.ALWAYS);
-		
+
+		// Layout with elements for connecting to the database.
 		HBox connLayout = new HBox();
+		HBox.setHgrow(urlLayout, Priority.ALWAYS);
 		connLayout.setSpacing(10);
 		connLayout.getChildren().addAll(rdbmsLayout, urlLayout, userLayout, passwordLayout);
-		
-		
-		Label select = new Label("SELECT"), from = new Label("FROM"), where = new Label("WHERE"), queryEnd = new Label(";");
+
+		// Elements for query.
+		Label select = new Label("SELECT"), from = new Label("FROM"), where = new Label("WHERE"),
+				queryEnd = new Label(";");
 		TextField column = new TextField(), table = new TextField(), cond = new TextField();
-		
+
 		select.setStyle("-fx-font-weight: bold;");
 		from.setStyle("-fx-font-weight: bold;");
 		where.setStyle("-fx-font-weight: bold;");
 		queryEnd.setStyle("-fx-font-weight: bold;");
-		
+
 		column.setPromptText("sloupec");
 		table.setPromptText("tabulka");
 		cond.setPromptText("podminka");
-		
+
 		HBox.setHgrow(column, Priority.ALWAYS);
 		HBox.setHgrow(table, Priority.ALWAYS);
 		HBox.setHgrow(cond, Priority.ALWAYS);
-		
+
+		// Layout for query.
 		HBox queryLayout = new HBox();
 		queryLayout.setAlignment(Pos.CENTER);
 		queryLayout.setSpacing(5.0);
 		queryLayout.getChildren().addAll(select, column, from, table, where, cond, queryEnd);
-		
+
+		// Button for the execution of the query.
 		Button setQuery = new Button("Spustit");
 		setQuery.setOnAction(event -> {
 			String urlStr = url.getText().trim();
@@ -287,38 +343,47 @@ public class Window extends Application implements IConversionResults {
 			properties.setProperty(FileWorker.DB_TYPE, rdbms.getValue());
 			properties.setProperty(FileWorker.DB_URL, urlStr);
 			properties.setProperty(FileWorker.DB_USER, userStr);
-			
+
 			String driver = dbDriverClasses[rdbms.getItems().indexOf(rdbms.getValue())];
 			converter.setInput(null, new DB_Messenger(driver, urlStr, userStr, password.getText().trim(),
 					table.getText().trim(), cond.getText().trim(), column.getText().trim()));
 		});
-		
+
 		HBox bIF = new HBox();
 		bIF.setAlignment(Pos.CENTER_RIGHT);
 		bIF.getChildren().add(setQuery);
-		
+
+		// Main layout in the tab.
 		VBox forInput = new VBox();
 		forInput.setPadding(new Insets(10, 10, 0, 10));
 		forInput.setSpacing(5.0);
 		forInput.getChildren().addAll(connLayout, queryLayout, bIF);
-		
+
 		return new Tab("SQL", forInput);
 	}
-	
+
+	/**
+	 * @return a tab for selecting an input file.
+	 */
 	private Tab createInputFileTab() {
+		// Input file label and path.
 		Label forInputFile = new Label("Soubor k deserializaci:");
 		Label inputFile = new Label("    Ještě nebyl vybrán žádný soubor...");
 		inputFile.setStyle("-fx-font-style: italic;");
 		inputFile.setPrefWidth(500); // Value to cut the text.
 		inputFile.setMaxWidth(Double.MAX_VALUE);
-		
+
+		// Button to choose the input file.
 		Button setInputFile = new Button("Vstupní soubor");
 		setInputFile.setOnAction(event -> {
 			FileChooser fCh = new FileChooser();
 			fCh.setInitialDirectory(new File("."));
-			// The input can be a zip file or file without a specific extension -> file chooser without extension filters...
-			// fCh.getExtensionFilters().add(new FileChooser.ExtensionFilter("Binary Files", "*.out"));
-			
+			// The input can be a zip file or file without a specific extension -> file
+			// chooser without extension filters...
+			// fCh.getExtensionFilters().add(new FileChooser.ExtensionFilter("Binary Files",
+			// "*.out"));
+
+			// Set initial folder.
 			String inputDir = properties.getProperty(FileWorker.INPUT_DIR);
 			if (inputDir != null) {
 				File initDir = new File(inputDir);
@@ -326,60 +391,82 @@ public class Window extends Application implements IConversionResults {
 					fCh.setInitialDirectory(initDir);
 				}
 			}
-			
+
+			// Get the selected file.
 			File file = fCh.showOpenDialog(stage);
 			if (file != null) {
 				properties.setProperty(FileWorker.INPUT_DIR, file.getAbsoluteFile().getParent());
 				setOutputLayoutDisabled(true);
-				
+
 				inputFile.setText(file.getAbsolutePath());
 				inputFile.setStyle("-fx-font-weight: bold;");
-				
+
 				converter.setInput(file, null);
 			}
 		});
-		
+
 		HBox bIF = new HBox();
 		bIF.setAlignment(Pos.CENTER_RIGHT);
 		bIF.getChildren().add(setInputFile);
-		
+
+		// Main layout in the tab.
 		VBox forInput = new VBox();
 		forInput.setAlignment(Pos.CENTER_LEFT);
 		forInput.setPadding(new Insets(10, 10, 0, 10));
 		forInput.setSpacing(5.0);
 		forInput.getChildren().addAll(forInputFile, inputFile, bIF);
-		
+
 		return new Tab("Soubor", forInput);
 	}
-	
+
+	/**
+	 * @return menu bar.
+	 */
 	private Node createMenu() {
 		Menu menu = new Menu("Aplikace");
-		
-		MenuItem fullScreen = createMenuItem(null, null, new KeyCodeCombination(KeyCode.F, KeyCombination.CONTROL_DOWN));
+
+		// Full screen (and back).
+		MenuItem fullScreen = createMenuItem(null, null,
+				new KeyCodeCombination(KeyCode.F, KeyCombination.CONTROL_DOWN));
 		fullScreen.setOnAction(event -> {
 			stage.setFullScreen(!stage.isFullScreen());
 		});
 		this.fullScreen = (Label) fullScreen.getGraphic();
 		changeFullScreenMenuItem();
-        
-        MenuItem close = createMenuItem("Ukončit", FileWorker.getResource("/close.png"), new KeyCodeCombination(KeyCode.E, KeyCombination.CONTROL_DOWN));
-        close.setOnAction(event -> {
+
+		// Close app.
+		MenuItem close = createMenuItem("Ukončit", FileWorker.getResource("/close.png"),
+				new KeyCodeCombination(KeyCode.E, KeyCombination.CONTROL_DOWN));
+		close.setOnAction(event -> {
 			Platform.exit();
 		});
-        
-        menu.getItems().addAll(fullScreen, new SeparatorMenuItem(), close);
-        
-        MenuBar bar = new MenuBar();
-        bar.getMenus().add(menu);
-        return bar;
+
+		menu.getItems().addAll(fullScreen, new SeparatorMenuItem(), close);
+
+		MenuBar bar = new MenuBar();
+		bar.getMenus().add(menu);
+		return bar;
 	}
-	
+
+	/**
+	 * Changes the text and icon of the menu item.
+	 */
 	private void changeFullScreenMenuItem() {
 		fullScreen.setText(stage.isFullScreen() ? "Normální zobrazení" : "Plné zobrazení");
-		fullScreen.setGraphic(new ImageView(stage.isFullScreen() ? FileWorker.getResource("/normal.png") : FileWorker.getResource("/full.png")));
+		fullScreen.setGraphic(new ImageView(
+				stage.isFullScreen() ? FileWorker.getResource("/normal.png") : FileWorker.getResource("/full.png")));
 	}
-	
+
+	/**
+	 * @param name        menu item text.
+	 * @param icon        menu item icon.
+	 * @param keyCodeComb key code combination for the menu item.
+	 * 
+	 * @return menu item.
+	 */
 	private MenuItem createMenuItem(String name, String icon, KeyCodeCombination keyCodeComb) {
+		// Menu items are not stylizable. Therefore, a label is used like a graphic
+		// element of the menu item.
 		Label label = new Label(name);
 		label.setGraphicTextGap(10);
 		label.getStyleClass().add("menu-graphics");
@@ -387,44 +474,49 @@ public class Window extends Application implements IConversionResults {
 		label.setMaxWidth(175);
 		if (icon != null)
 			label.setGraphic(new ImageView(new Image(icon)));
-		
+
 		MenuItem menuItem = new MenuItem();
 		menuItem.setGraphic(label);
 		menuItem.setAccelerator(keyCodeComb);
-        return menuItem;
+		return menuItem;
 	}
-	
+
+	/**
+	 * Used to set the disable property of the layout for the output file.
+	 * 
+	 * @param disable whether the layout should be inaccessible.
+	 */
 	private void setOutputLayoutDisabled(boolean disable) {
 		outputLayout.setDisable(disable);
 	}
-	
+
 	@Override
 	public void loadingInputFileError() {
-		Platform.runLater(()->{
+		Platform.runLater(() -> {
 			Report.error("Načítání souboru", null, "Při načítání souboru došlo k chybě.");
-        });
+		});
 	}
 
 	@Override
 	public void completed(String json, String loaded) {
 		Platform.runLater(() -> {
 			String _json = json;
-			
+
 			boolean showData = json != null;
-			
-			if (!showData && loaded != null &&
-					Report.confirm("Výsledek deserializace", null, "Při deserializaci došlo k chybě. "
+
+			if (!showData && loaded != null
+					&& Report.confirm("Výsledek deserializace", null, "Při deserializaci došlo k chybě. "
 							+ "Je ale možné, že nejde o serializovaná data. Chcete zobrazit, co bylo načteno?")) {
 
 				_json = loaded.trim();
 				showData = true;
 			}
-			
+
 			if (showData) {
 				editor.setContent(_json);
 				setOutputLayoutDisabled(false);
 			}
-        });
+		});
 	}
-	
+
 }
diff --git a/project/Deserializer/src/io/Database.java b/project/Deserializer/src/io/Database.java
index aef1c7b..a666391 100644
--- a/project/Deserializer/src/io/Database.java
+++ b/project/Deserializer/src/io/Database.java
@@ -8,54 +8,112 @@ import java.sql.SQLException;
 import java.sql.Statement;
 
 /**
- * https://www.tutorialspoint.com/jdbc/jdbc-db-connections.htm
- * https://www.tutorialspoint.com/jdbc/jdbc-sample-code.htm
+ * <p>
+ * This class contains only one static method. The method is used to read a BLOB
+ * from a database.
+ * 
+ * <p>
+ * Tutorials: <a href="https://www.tutorialspoint.com/jdbc/jdbc-db-connections.htm">JDBC</a>,
+ * <a href="https://www.tutorialspoint.com/jdbc/jdbc-sample-code.htm">sample code</a>.
  */
 public class Database {
 
+	/**
+	 * Design template of the crate with the data necessary for connection to the
+	 * database.
+	 */
 	public static class DB_Messenger {
+
+		/**
+		 * Database driver (for example: oracle.jdbc.driver.OracleDriver).
+		 */
 		public String driver;
+
+		/**
+		 * Dabase URL (for example: jdbc:oracle:thin:@server:port:db_name).
+		 */
 		public String url;
+
+		/**
+		 * Username for accessing the database.
+		 */
 		public String user;
+
+		/**
+		 * User password.
+		 */
 		public String password;
+
+		/**
+		 * SQL query.
+		 */
 		public String sql;
+
+		/**
+		 * Name of the column in the table with BLOBs.
+		 */
 		public String column;
 
-		public DB_Messenger(String driver, String url, String user, String password, String table, String condition, String column) {
+		/**
+		 * Initializes the instance attributes and compiles the resulting SQL query.
+		 * 
+		 * @param driver    database driver.
+		 * @param url       database URL.
+		 * @param user      username for accessing the database.
+		 * @param password  user password.
+		 * @param table     table with BLOBs.
+		 * @param condition condition in a query.
+		 * @param column    column name in the table.
+		 */
+		public DB_Messenger(String driver, String url, String user, String password, String table, String condition,
+				String column) {
 			this.driver = driver;
 			// The timezone statement added due to MySQL.
-			//this.url = url + "?useTimezone=true&serverTimezone=UTC";
+			// this.url = url + "?useTimezone=true&serverTimezone=UTC";
 			this.url = url;
 			this.user = user;
 			this.password = password;
 
 			this.sql = "SELECT " + column + " FROM " + table;
-			if(condition.length() > 0)
-			{
+			if (condition.length() > 0) {
 				this.sql += " WHERE " + condition;
 			}
-			//this.sql += ";";
+
+			// The semicolon cause an error in ORACLE.
+			// this.sql += ";";
 
 			this.column = column;
 		}
-		
+
 		@Override
 		public String toString() {
-			return "DRIVER: " + driver + "\nURL: " + url + "\nUSER: " + user + "\nPASSWORD: " + password + "\nSQL: " + sql + "\nCOLUMN: " + column;
+			return "DRIVER: " + driver + "\nURL: " + url + "\nUSER: " + user + "\nPASSWORD: " + password + "\nSQL: "
+					+ sql + "\nCOLUMN: " + column;
 		}
 	}
 
+	/**
+	 * This method finds the first BLOB returned by the query and retrieves its
+	 * content. The content is returned in a byte array.
+	 * 
+	 * @param crate data with an SQL query to connect to the database.
+	 * 
+	 * @return bytes from a BLOB or null if no BLOB is found or if a database
+	 *         connection error occurs.
+	 */
 	public static byte[] getBlobBytes(DB_Messenger crate) {
 		Connection conn = null;
 		Statement stmt = null;
 		byte result[] = null;
 
 		try {
-			
+
+			// Driver registration.
 			Class.forName(crate.driver);
-			
+
 			// The second way of the driver registration.
-			//DriverManager.registerDriver(new com.microsoft.sqlserver.jdbc.SQLServerDriver());
+			// DriverManager.registerDriver(new
+			// com.microsoft.sqlserver.jdbc.SQLServerDriver());
 
 			System.out.println("--- Connecting to the database ---".toUpperCase());
 
@@ -65,6 +123,7 @@ public class Database {
 			stmt = conn.createStatement();
 			ResultSet rs = stmt.executeQuery(crate.sql);
 
+			// Retrieve data from the first BLOB.
 			while (rs.next()) {
 				Blob blob = rs.getBlob(crate.column);
 				if (blob != null && blob.length() > 0) {
@@ -77,7 +136,7 @@ public class Database {
 			rs.close();
 			stmt.close();
 			conn.close();
-			
+
 		} catch (SQLException e) {
 			e.printStackTrace();
 		} catch (Exception e) {
@@ -85,13 +144,15 @@ public class Database {
 		} finally {
 			try {
 				stmt.close();
-			} catch (Exception e) {}
+			} catch (Exception e) {
+			}
 			try {
 				conn.close();
-			} catch (Exception e) {}
+			} catch (Exception e) {
+			}
 		}
-		
+
 		return result;
 	}
-	
+
 }
\ No newline at end of file
diff --git a/project/Deserializer/src/io/FileWorker.java b/project/Deserializer/src/io/FileWorker.java
index 93a68c2..91f0d80 100644
--- a/project/Deserializer/src/io/FileWorker.java
+++ b/project/Deserializer/src/io/FileWorker.java
@@ -22,32 +22,77 @@ import java.util.jar.JarFile;
 
 import javafx.collections.ObservableList;
 
+/**
+ * This class contains only static attributes and methods for I/O operations.
+ */
 public class FileWorker {
-	
+
+	/**
+	 * The name of the configuration file.
+	 */
 	private static final String CONFIG = "app.config";
+
+	/**
+	 * Attribute for the directory with the input files in the configuration file.
+	 */
 	public static final String INPUT_DIR = "input_dir";
+
+	/**
+	 * Attribute for the editor mode in the configuration file.
+	 */
 	public static final String ACE_MODE = "ace_mode";
+
+	/**
+	 * Attribute for the editor theme in the configuration file.
+	 */
 	public static final String ACE_THEME = "ace_theme";
+
+	/**
+	 * Attribute for the database type in the configuration file.
+	 */
 	public static final String DB_TYPE = "db_type";
+
+	/**
+	 * Attribute for the database URL in the configuration file.
+	 */
 	public static final String DB_URL = "db_url";
+
+	/**
+	 * Attribute for the user name with database access in the configuration file.
+	 */
 	public static final String DB_USER = "db_user";
-	
+
+	/**
+	 * @param path relative path to the file in the resources.
+	 * 
+	 * @return absolute path to the resource.
+	 */
 	public static String getResource(String path) {
 		return FileWorker.class.getResource(path).toString();
 	}
-	
+
+	/**
+	 * @return loaded configuration file or, when I/O error occurs, an empty
+	 *         property list.
+	 */
 	public static Properties getConfig() {
 		Properties properties = new Properties();
-		
+
 		try {
 			File config = new File(CONFIG);
 			config.createNewFile();
 			properties.load(new FileInputStream(config));
-		} catch (IOException e) { }
-		
+		} catch (IOException e) {
+		}
+
 		return properties;
 	}
-	
+
+	/**
+	 * Saves the configuration file.
+	 * 
+	 * @param properties configuration file properties.
+	 */
 	public static void saveConfig(Properties properties) {
 		try {
 			properties.store(new FileOutputStream(CONFIG), null);
@@ -55,17 +100,23 @@ public class FileWorker {
 			e.printStackTrace();
 		}
 	}
-	
+
+	/**
+	 * Gets all possible ACE modes and themes.
+	 * 
+	 * @param modes  list for the modes.
+	 * @param themes list for the themes.
+	 */
 	public static void getAceModesAndThemes(ObservableList<String> modes, ObservableList<String> themes) {
 		final String aceFolder = "ace";
 		List<String> names = new ArrayList<String>();
-		
-		
+
 		String path = FileWorker.class.getResource(FileWorker.class.getSimpleName() + ".class").getFile();
 		if (!path.startsWith("/")) {
+			// Get filenames in the ACE folder that is in the JAR file.
 			path = ClassLoader.getSystemClassLoader().getResource(path).getFile();
 			File jarFile = new File(path.substring(6, path.lastIndexOf('!')));
-			
+
 			try {
 				JarFile jar = new JarFile(jarFile);
 				Enumeration<JarEntry> entries = jar.entries();
@@ -83,6 +134,7 @@ public class FileWorker {
 				e.printStackTrace();
 			}
 		} else {
+			// Read filenames from the classic folder.
 			URL url = FileWorker.class.getResource("/" + aceFolder);
 			if (url != null) {
 				try {
@@ -95,8 +147,8 @@ public class FileWorker {
 				}
 			}
 		}
-		
-		
+
+		// Extract mode and theme names (from the filenames).
 		for (int i = 0; i < names.size(); i++) {
 			if (names.get(i).startsWith("mode-")) {
 				modes.add(names.get(i).substring(5, names.get(i).lastIndexOf('.')));
@@ -105,11 +157,24 @@ public class FileWorker {
 			}
 		}
 	}
-	
+
+	/**
+	 * @param error if it is an error output.
+	 * 
+	 * @return created stream for output redirection.
+	 * @throws FileNotFoundException if an error occurred while opening the file for
+	 *                               writing.
+	 */
 	public static PrintStream createRedirectStream(boolean error) throws FileNotFoundException {
 		return new PrintStream(new File(error ? "jdeserialize_err.txt" : "jdeserialize_out.txt"));
 	}
-	
+
+	/**
+	 * @param file input file.
+	 * 
+	 * @return the content of the file in a byte array.
+	 * @throws IOException if an I/O error occurred while reading the file.
+	 */
 	public static byte[] loadFileContent(File file) throws IOException {
 		byte buffer[] = new byte[(int) file.length()];
 		BufferedInputStream bis = new BufferedInputStream(new FileInputStream(file));
@@ -117,19 +182,30 @@ public class FileWorker {
 		bis.close();
 		return buffer;
 	}
-	
+
+	/**
+	 * If the input byte array is a ZIP archive, it is converted to extracted data.
+	 * 
+	 * @param rawContent raw file content.
+	 * 
+	 * @return raw content, unless it is a ZIP archive, otherwise extracted data.
+	 * @throws IOException if an I/O error occurs.
+	 */
 	public static byte[] extractFileContent(byte rawContent[]) throws IOException {
 		byte buffer[];
-		
+
 		IZipReader input;
 		try {
+			// Try to open the file as a classic ZIP.
 			input = new ZipInStream(new ByteArrayInputStream(rawContent));
 		} catch (NoSuchElementException e) {
+			// Otherwise, try to open the file as a ZIP with an inflater.
 			System.out.println("Note: the file may be a special type of ZIP archive.");
 			input = new InflaterInStream(new ByteArrayInputStream(rawContent));
 		}
-		
+
 		try {
+			// Read extracted bytes (one byte at a time).
 			List<Byte> _buffer = new ArrayList<Byte>();
 			while (true) {
 				int value = input.read();
@@ -144,9 +220,11 @@ public class FileWorker {
 			for (int i = 0; i < buffer.length; i++) {
 				buffer[i] = _buffer.get(i);
 			}
-			
-			System.out.println(String.format("The file is a%s ZIP archive...", input.getClass() == InflaterInStream.class ? " special" : ""));
+
+			System.out.println(String.format("The file is a%s ZIP archive...",
+					input.getClass() == InflaterInStream.class ? " special" : ""));
 		} catch (Exception e) {
+			// When the file does not contain archived data...
 			System.out.println("The file is not a ZIP archive...");
 			buffer = rawContent;
 		} finally {
@@ -157,6 +235,14 @@ public class FileWorker {
 		return buffer;
 	}
 
+	/**
+	 * Saves resulting text (JSON) to the file.
+	 * 
+	 * @param file where to save the text.
+	 * @param json the resulting text in JSON format.
+	 * 
+	 * @throws IOException if an I/O error occurred while saving the text.
+	 */
 	public static void saveJson(File file, String json) throws IOException {
 		FileWriter fw = new FileWriter(file);
 		BufferedWriter bw = new BufferedWriter(fw);
@@ -164,5 +250,5 @@ public class FileWorker {
 		bw.flush();
 		bw.close();
 	}
-	
+
 }
